﻿<UserControl x:Class="TheTrader.WPF.Controls.MajorIndexListing"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:local="clr-namespace:TheTrader.WPF.Controls"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             xmlns:viewModels="clr-namespace:TheTrader.WPF.ViewModels"
             d:DataContext="{d:DesignInstance viewModels:MajorIndexListingViewModel}"
             d:DesignHeight="450" d:DesignWidth="800"
             mc:Ignorable="d">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto" />
            <RowDefinition Height="Auto" />
        </Grid.RowDefinitions>

        <TextBlock Grid.Row="0" FontSize="18" Text="Major Indexes" />

        <Grid Grid.Row="1" Margin="0,10">
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="*" />
                <ColumnDefinition Width="*" />
                <ColumnDefinition Width="*" />
            </Grid.ColumnDefinitions>

            <local:MajorIndexCard Grid.Column="0" Margin="0 0 10 0" DataContext="{Binding DowJones}" />
            <local:MajorIndexCard Grid.Column="1" Margin="5 0" DataContext="{Binding Nasdaq}" />
            <local:MajorIndexCard Grid.Column="2" Margin="10 0 0 0" DataContext="{Binding Sp500}" />
        </Grid>
    </Grid>
</UserControl>